KMA(1)

NAME
kma - maps and/or aligns raw reads to a template database

DESCRIPTION

    KMA-1.3.23 maps and/or aligns raw reads to a template database.

Options:
    Desc: Default:

    Input:

-i  Single end input(s) stdin

-ipe
    Paired end input(s)

-int
    Interleaved input(s)

    Output:

-o  Output prefix

-ef Output additional features False

-vcf
    Output vcf file, 2 to apply FT False

-sam
    Output sam, 4/2096 for mapped/aligned False

-nc No consensus file False

-nc No aln file False

-nf No frag file False

-matrix
    Output assembly matrix False

-a  Output all template mappings False

-and
    Use both mrs and p-value on consensus or

-oa Use neither mrs or p-value on consensus False

    Consensus:

-bc Minimum support to call bases 0

-bcNano
    Altered indel calling for ONT data False

-bcd
    Minimum depth to cal bases 1

-bcg
    Maintain insignificant gaps False

-ID Minimum consensus ID 1.0%

-dense
    Skip insertion in consensus False

-ref_fsa
    Use n's on indels False

    General:

-t_db
    Template DB

-p  P-value 0.05

-shm
    Use DB in shared memory 0

-mmap
    Memory map *.comp.b False

-tmp
    Set directory for temporary files

-t  Number of threads 1

-status
    Extra status False

-verbose
    Extra verbose False

-c  Citation

-v  Version

-h  Shows this help message

    Template mapping:

-ConClave
    ConClave version 1

-mem_mode
    Base ConClave on template mappings False

-proxi
    Proximity scoring (negative for soft) False/1.0

-ex_mode
    Searh kmers exhaustively False

-deCon
    Remove contamination False

-Sparse
    Only count kmers False

-ss Sparse sorting (q,c,d) q

-Mt1
    Map everything to one template False/0

-pm Pairing method (p,u,f) u

-1t1
    One query to one template False

-hmm
    Use a HMM to assign template(s) True

-ck Count k-mers over pseudo alignment False

    Chaining:

-k  K-mersize DB defined

-ts Trim front of seeds 0

-ssa
    Seeds soround alignments False

-ex_mode
    Searh kmers exhaustively False

-fpm
    Pairing method (p,u,f) u

-mq Minimum mapping quality 0

    Alignment:

-ca Circular alignments False

-mrs
    Minimum relative alignment score 0.5

-mrc
    Minimum query coverage 0.0

-ml Minimum alignment length 16

-reward
    Score for match 1

-penalty
    Penalty for mismatch 2

-gapopen
    Penalty for gap opening 3

-gapextend
    Penalty for gap extension 1

-per
    Reward for pairing reads 7

-Npenalty
    Penalty matching N 0

-transition
    Penalty for transition 2

-transversion
    Penalty for transversion 2

-sasm
    Skip alignment False

    Trimming:

-mp Minimum phred score 20

-eq Minimum avg. quality score 0

-5p Trim 5 prime 0

-3p Trim 3 prime 0

-ml Minimum length 16

-xl Maximum length on se 2147483647

-boot
    Bootstrap sub-sequence False

    Presets:

-apm
    Sets both pm and fpm u

-cge
    Set CGE penalties and rewards False

-mint2
    Set 2ng gen Mintyper preset False

-mint3
    Set 3rd gen Mintyper preset False

AUTHOR
This manpage was written by Nilesh Patra for the Debian distribution and can be used for any other usage of the program.